%define _build_id_links none
%define debug_package %{nil}

Name:           nekoray-core
Version:        4.0.beta3
Release:        1%{?dist}
Summary:        Nekoray Core ( sing-box)

License:        GPL-3.0-only
URL:            https://matsuridayo.github.io/
Source0:        https://github.com/MatsuriDayo/nekoray/releases/download/4.0-beta3/nekoray-4.0-beta3-2024-07-13-linux64.zip
Source1:        https://github.com/SagerNet/sing-geoip/releases/latest/download/geoip.db
Source2:        https://github.com/SagerNet/sing-geosite/releases/latest/download/geosite.db
Source3:        https://github.com/Loyalsoldier/v2ray-rules-dat/releases/latest/download/geoip.dat
Source4:        https://github.com/Loyalsoldier/v2ray-rules-dat/releases/latest/download/geosite.dat

BuildRequires:  unzip
Requires:       nekoray-core-geo

%description
Nekoray Core ( sing-box)

%package geo
Summary:        The geoip data file.
BuildArch:      noarch
Version:        20240831
%description geo
The geo database file.

%prep
%setup -q -n nekoray


%build


%install
install -D -m 755 %{_builddir}/nekoray/nekobox_core %{buildroot}%{_bindir}/nekobox_core
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/sing-geoip/geoip.db
install -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/sing-geoip/geosite.db
install -D -m 644 %{SOURCE3} %{buildroot}%{_datadir}/v2ray/geoip.dat
install -D -m 644 %{SOURCE4} %{buildroot}%{_datadir}/v2ray/geosite.dat

%files
%caps(cap_net_admin=ep) %{_bindir}/nekobox_core

%files geo
%{_datadir}/sing-geoip/geoip.db
%{_datadir}/sing-geoip/geosite.db
%{_datadir}/v2ray/geoip.dat
%{_datadir}/v2ray/geosite.dat


%changelog
* Sat Aug 31 2024 sen liu <18370222-liusen373@users.noreply.gitlab.com> - 4.0.beta3-1
- nekoray-core v4.0.beta3

* Mon Jul  8 2024 sen liu <18370222-liusen373@users.noreply.gitlab.com> - 4.0-1
- nekoray-core v4.0

* Fri May 24 2024 sen liu <18370222-liusen373@users.noreply.gitlab.com> - 3.26-1
- nekoray-core v3.26
